{% extends 'page.html' %}

{% block toolbar %}
{{ super() }}
{% endblock %}

{% block flash %}
{{ super() }}
{% endblock %}

{% set controller = 'ckanext.eds.controllers.eds_guides_controller:EdsGuidesController' %}
{% set current_lang = request.environ.CKAN_LANG %}

{% set api_guides_content_name =  ['api_guides_content_', current_lang]|join('') %}

{% block breadcrumb_content %}
<li class="active">{{ h.nav_link(_('API Guides'), controller=controller, action='api_guides') }}</li>
{% endblock %}

{% block primary_content %}
<div class="module">
    <div class="module-content guides-pages api-guides">
        {% if h.check_access('sysadmin', {}) %}
        {% link_for _('Edit'), controller=controller, action='api_guides_edit', class_='btn btn-primary pull-right', icon='edit' %}
        {% endif %}

        {% if data[api_guides_content_name] %}
          {{ h.render_markdown(data[api_guides_content_name]) }}
        {% else %}
          <div class="module-content">
            <p>{{ _('Guide not created.') }}</p>
          </div>
        {% endif %}
    </div>
</div>
{% endblock %}
